gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Selectors.FileChooserButton

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes
- Signals
- Orphan instances

Description

A button to launch a file selection dialog

- Module available since Gtk+ version 2.6

Synopsis

- data FileChooserButton
- class HBoxClass o => FileChooserButtonClass o
- castToFileChooserButton :: GObjectClass obj => obj -> FileChooserButton
- gTypeFileChooserButton :: GType
- toFileChooserButton :: FileChooserButtonClass o => o -> FileChooserButton
- fileChooserButtonNew :: GlibString string => string -> FileChooserAction -> IO FileChooserButton
- fileChooserButtonNewWithDialog :: FileChooserDialogClass dialog => dialog -> IO FileChooserButton
- fileChooserButtonGetTitle :: (FileChooserButtonClass self, GlibString string) => self -> IO string
- fileChooserButtonSetTitle :: (FileChooserButtonClass self, GlibString string) => self -> string -> IO ()
- fileChooserButtonGetWidthChars :: FileChooserButtonClass self => self -> IO Int
- fileChooserButtonSetWidthChars :: FileChooserButtonClass self => self -> Int -> IO ()
- fileChooserButtonDialog :: (FileChooserButtonClass self, FileChooserDialogClass fileChooserDialog) => WriteAttr self fileChooserDialog
- fileChooserButtonTitle :: (FileChooserButtonClass self, GlibString string) => Attr self string
- fileChooserButtonWidthChars :: FileChooserButtonClass self => Attr self Int
- fileChooserButtonFileSet :: FileChooserButtonClass self => Signal self (IO ())

# Detail

The `FileChooserButton` is a widget that lets the user select a file. It implements the `FileChooser` interface. Visually, it is a file name with a button to bring up a `FileChooserDialog`. The user can then use that dialog to change the file associated with that button. This widget does not support setting the "select-multiple" property to `True`.

The `FileChooserButton` supports the `FileChooserAction`s `FileChooserActionOpen` and `FileChooserActionSelectFolder`.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Box
    | +----HBox
    | +----FileChooserButton

# Types

data FileChooserButton Source #

#### Instances

Instances details

Eq FileChooserButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: FileChooserButton -> FileChooserButton -> Bool Source # (/=) :: FileChooserButton -> FileChooserButton -> Bool Source #
Ord FileChooserButton Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: FileChooserButton -> FileChooserButton -> Ordering Source #

(<) :: FileChooserButton -> FileChooserButton -> Bool Source #

(<=) :: FileChooserButton -> FileChooserButton -> Bool Source #

(>) :: FileChooserButton -> FileChooserButton -> Bool Source #

(>=) :: FileChooserButton -> FileChooserButton -> Bool Source #

max :: FileChooserButton -> FileChooserButton -> FileChooserButton Source #

min :: FileChooserButton -> FileChooserButton -> FileChooserButton Source #

GObjectClass FileChooserButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: FileChooserButton -> GObject Source # unsafeCastGObject :: GObject -> FileChooserButton Source #
BoxClass FileChooserButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass FileChooserButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
FileChooserButtonClass FileChooserButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
FileChooserClass FileChooserButton Source # |
Instance details Defined in Graphics.UI.Gtk.Selectors.FileChooserButton
HBoxClass FileChooserButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass FileChooserButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class HBoxClass o => FileChooserButtonClass o Source #

#### Instances

Instances details

FileChooserButtonClass FileChooserButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToFileChooserButton :: GObjectClass obj => obj -> FileChooserButton Source #

gTypeFileChooserButton :: GType Source #

toFileChooserButton :: FileChooserButtonClass o => o -> FileChooserButton Source #

# Constructors

fileChooserButtonNew Source #

Arguments

:: GlibString string |
=> string | `title` - the title of the browse dialog.
-> FileChooserAction | `action` - the open mode for the widget.
-> IO FileChooserButton |

Creates a new file-selecting button widget.

fileChooserButtonNewWithDialog Source #

Arguments

:: FileChooserDialogClass dialog |
=> dialog | `dialog` - the `FileChooserDialog` widget to use.
-> IO FileChooserButton |

Creates a `FileChooserButton` widget which uses `dialog` as it's file-picking window.

# Methods

fileChooserButtonGetTitle Source #

Arguments

:: (FileChooserButtonClass self, GlibString string) |
=> self |
-> IO string | returns a pointer to the browse dialog's title.

Retrieves the title of the browse dialog used by the button.

fileChooserButtonSetTitle Source #

Arguments

:: (FileChooserButtonClass self, GlibString string) |
=> self |
-> string | `title` - the new browse dialog title.
-> IO () |

Modifies the `title` of the browse dialog used by the button.

fileChooserButtonGetWidthChars Source #

Arguments

:: FileChooserButtonClass self |
=> self |
-> IO Int | returns an integer width (in characters) that the button will use to size itself.

Retrieves the width in characters of the `button` widget's entry and/or label.

fileChooserButtonSetWidthChars Source #

Arguments

:: FileChooserButtonClass self |
=> self |
-> Int | `nChars` - the new width, in characters.
-> IO () |

Sets the width (in characters) that the button will use to `nChars`.

# Attributes

fileChooserButtonDialog :: (FileChooserButtonClass self, FileChooserDialogClass fileChooserDialog) => WriteAttr self fileChooserDialog Source #

Instance of the `FileChooserDialog` associated with the button.

fileChooserButtonTitle :: (FileChooserButtonClass self, GlibString string) => Attr self string Source #

Title to put on the `FileChooserDialog` associated with the button.

Default value: "Select A File"

fileChooserButtonWidthChars :: FileChooserButtonClass self => Attr self Int Source #

# Signals

fileChooserButtonFileSet :: FileChooserButtonClass self => Signal self (IO ()) Source #

Emitted when the user selects a file.

# Orphan instances

FileChooserClass FileChooserButton Source # |
Instance details